=== modified file 'byov.conf'
--- byov.conf	2018-02-07 13:33:21 +0000
+++ byov.conf	2018-02-07 15:48:59 +0000
@@ -16,49 +16,11 @@
 # select the right one by setting 'byoci = production' or 'byoci =
 # testing', scripts will use {byoci}.<name> to get the right values.
 
-# The branches where the brz byoci is defined
-production.jobs = # ? lp:~brz/brz/byoci
-# FIXME: Creating a dedicated launchpad /private/ project would be better
-# -- vila 2016-07-28
-production.secrets = # ? bzr+ssh://ci.breezy-vcs.org/something ?
-production.master.url = https://ci.breezy-vcs.org
-production.master = brz-master
-# The list of currently existing slaves
-production.slaves = # ? brz-slave-0, brz-slave-1
-production.admin.user = # ? brz-byoci # The admin team for byoci
-production.monitor.user = the-breezy-bot # The user creating the jenkins jobs
-# production.bot.password = # See README.rst
-production.landing.user = the-breezy-bot # The user landing the trunks
-production.landing.fullname = Breezy landing bot
-production.landing.email = Breezy landing bot <breezy.the.bot@gmail.com>
-production.build.user = # ? bzr-core # Team allowed to run jobs on jenkins
-
-# Most of the testing options are set by testing/setup-byoci to match the
-# local host/user configuration. They are listed below for documentation
-# purposes.
-
-# The list of currently existing slaves
-testing.slaves = brz-slave-testing
-# testing.secrets = # No testing secrets by default Really ?
-
-# FIXME: While this is good enough to write tests, it smells. There should
-# be a better way to give user more control via the config files themselves
-# without losing the ability to override for tests -- vila 2016-08-24
-
-# testing.jobs = bzr+ssh://<local user>@<local host IP>$(bzr root)
-# testing.master = <master url>
-# testing.admin.user = $(bzr lp-login)
-# testing.bot.user = admin
-# testing.bot.password = <admin API token acquired from master>
-# testing.landing.user = $(bzr lp-login)
-# testing.landing.fullname = $(bzr whoami --name)
-# testing.landing.email = $(bzr whoami --email)
-# testing.build.user = $(bzr lp-login)
-
-#
-#  Building jobs
-#
-
+# See byov.conf.d/production.conf and byov.conf.d/testing.conf for default
+# values.
+
+# The monitor is reponsible for defining and running jobs and also
+# maintaining plugins on jenkins.
 [brz-monitor]
 byoci = production
 vm.release = bionic
@@ -75,13 +37,6 @@
 vm.packages =  bzr, python3-jenkins-job-builder, python3-pip, python3-setuptools, python3-byot, python3-byoc
 vm.setup_scripts = setup/monitor
 
-[brz-monitor-testing]
-byoci = testing
-# FIXME: For now, it's a hard constraint to use /byoci to work around lxd
-# mounting sub directories under home breaking access rights for cloud-init
-# /creating/ the home dir. All sort of fun ensues... -- vila 2018-02-06
-lxd.user_mounts=.:/byoci
-
 # The jenkins master
 [brz-master]
 byoci = testing
@@ -101,10 +56,6 @@
 # the latest revisions
 jenkins.plugins=command-launcher matrix-auth openid build-timeout junit description-setter
 
-[brz-master-testing]
-byoci = testing
-jenkins.tokens = {jenkins.home}/tokens
-lxd.user_mounts=tokens:{jenkins.tokens}
 
 # The testing slave model
 
@@ -130,11 +81,3 @@
 # FIXME: This should be ppa:brz/ci instead of ppa:vila/ci -- vila 2015-11-16
 apt.sources = ppa:vila/ppa,ppa:vila/ci
 
-# One real slave to test with
-
-[brz-slave-testing]
-byoci = testing
-vm.release = xenial
-# FIXME: We'd like lxd.profiles=default, br0-lan here
-# and lxd.profiles = default, lxdbr0 in /etc/byov/byov.conf
-# on host and in slaves

=== added directory 'byov.conf.d'
=== added file 'byov.conf.d/production.conf'
--- byov.conf.d/production.conf	1970-01-01 00:00:00 +0000
+++ byov.conf.d/production.conf	2018-02-07 15:48:59 +0000
@@ -0,0 +1,17 @@
+# The branches where the brz byoci is defined
+production.jobs = # ? lp:~brz/brz/byoci
+# FIXME: Creating a dedicated launchpad /private/ project would be better
+# -- vila 2016-07-28
+production.secrets = # ? bzr+ssh://ci.breezy-vcs.org/something ?
+production.master.url = https://ci.breezy-vcs.org
+production.master = brz-master
+# The list of currently existing slaves
+production.slaves = # ? brz-slave-0, brz-slave-1
+production.admin.user = # ? brz-byoci # The admin team for byoci
+production.monitor.user = the-breezy-bot # The user creating the jenkins jobs
+# production.bot.password = # See README.rst
+production.landing.user = the-breezy-bot # The user landing the trunks
+production.landing.fullname = Breezy landing bot
+production.landing.email = Breezy landing bot <breezy.the.bot@gmail.com>
+production.build.user = # ? bzr-core # Team allowed to run jobs on jenkins
+

=== added file 'byov.conf.d/testing.conf'
--- byov.conf.d/testing.conf	1970-01-01 00:00:00 +0000
+++ byov.conf.d/testing.conf	2018-02-07 15:48:59 +0000
@@ -0,0 +1,23 @@
+# The list of currently existing slaves
+testing.slaves = brz-slave-testing
+# testing.secrets = # No testing secrets by default Really ?
+
+[brz-monitor-testing]
+byoci = testing
+# FIXME: For now, it's a hard constraint to use /byoci to work around lxd
+# mounting sub directories under home breaking access rights for cloud-init
+# /creating/ the home dir. All sort of fun ensues... -- vila 2018-02-06
+lxd.user_mounts=.:/byoci
+
+[brz-master-testing]
+byoci = testing
+jenkins.tokens = {jenkins.home}/tokens
+lxd.user_mounts=tokens:{jenkins.tokens}
+
+# One real slave to test with
+
+[brz-slave-testing]
+byoci = testing
+# FIXME: We'd like lxd.profiles=default, br0-lan here
+# and lxd.profiles = default, lxdbr0 in /etc/byov/byov.conf
+# on host and in slaves

